ggiDrawVLine(3)

NAME
ggiDrawVLine, ggiPutVLine, ggiGetVLine : Draw, put, and get a vertical line from a visual

SYNOPSIS
#include <ggi/ggi.h>
int ggiDrawVLine(ggi_visual_t vis, int x, int y, int h);
int ggiPutVLine(ggi_visual_t vis, int x, int y, int h, const void *buf);
int ggiGetVLine(ggi_visual_t vis, int x, int y, int h, void *buf);

DESCRIPTION
Draw, put, or get a vertical line from (x, y), extending h pixels in the positive y direction (normally down). The width of the line is one pixel. The buf parameter in Get/Put functions points to a buffer from which the pixels will be read, or to which they will be written (it must be correctly allocated), respectively. See ggiPackColors(3) and ggiUnmapPixel(3) functions for details on how to deal with pixels.

RETURN VALUE
All three functions return 0 to indicate success.

SEE ALSO
ggiDrawBox(3), ggiDrawHLine(3), ggiDrawLine(3), ggiMapColor(3), ggi_pixelformat(3)